Bug 244304 - net-mgmt/netdata: add godplugin option
Summary: net-mgmt/netdata: add godplugin option
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Matthias Andree
URL:
Keywords: buildisok, patch
Depends on: 244291 244323
Blocks:
  Show dependency treegraph
 
Reported: 2020-02-22 10:23 UTC by Dries Michiels
Modified: 2020-04-04 16:36 UTC (History)
4 users (show)

See Also:


Attachments
netdata.diff (3.52 KB, patch)
2020-02-22 10:23 UTC, Dries Michiels
no flags Details | Diff
netdata.diff (3.57 KB, patch)
2020-04-03 14:25 UTC, Dries Michiels
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dries Michiels 2020-02-22 10:23:12 UTC
Created attachment 211829 [details]
netdata.diff

This links the package with the godplugin. Netdata is in the process of migrating all python plugins to go (so default on option to future proof and help in the transition).

QA: portlint -AC
testport option on current amd64
Comment 1 Automation User 2020-03-08 00:31:34 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/124236653
Comment 2 daniel.engberg.lists 2020-03-25 06:41:59 UTC
Hi Dries!

I'm a bit confused about what this is supposed to. Are you trying to provide a "simple" way of installing the go-plugins?
Comment 3 Dries Michiels 2020-03-25 14:47:02 UTC
This makes the netdata port install netdata-go as dependency. Right now the python plugin is included in the netdata repo upstream by default. Meaning it is always installed when installing netdata. This is not the case for the god.plugin. And as netdata is in the progress to convert all python plugins to go plugins, it makes sense to enable the option by default.
Comment 4 daniel.engberg.lists 2020-03-26 06:25:25 UTC
It's more consistent to follow upstream rather than diverging and there are a lot cases where you don't need the go plugins at all also go is a pretty large dependency. Until upstream decides to fully change I think it's better to display a notice like other ports does (like when python extensions are available in the tree) for addtional funtionality via other ports.
Comment 5 Dries Michiels 2020-03-26 07:30:45 UTC
We could do that! I don't really have any hidden agenda's although if we don't want to diverge from upstream we should actually enable it. On there github README, https://github.com/netdata/go.d.plugin, they explicitly state it should be shipped with netdata. "Install Shipped with Netdata." But at least I would like to have the option toggler thingy :-D, not necessarily enabled by default.
Comment 6 daniel.engberg.lists 2020-03-28 18:29:51 UTC
Can you rebase it on top of https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=244323 (v2) and not make it default? There's no need to for any addtional messages since it's already a meny option.
GODPLUGIN_DESC should probably just say External go.d plugin as that's what upstream referers it as https://github.com/netdata/go.d.plugin/
Comment 7 Dries Michiels 2020-04-03 14:25:52 UTC
Created attachment 213016 [details]
netdata.diff

Rebase and default to off.
Comment 8 Matthias Andree freebsd_committer 2020-04-04 15:51:38 UTC
take, maintainer timeout
Comment 9 Matthias Andree freebsd_committer 2020-04-04 16:00:23 UTC
Thanks Dries and Daniel, committed as r530686
Comment 10 commit-hook freebsd_committer 2020-04-04 16:36:43 UTC
A commit references this bug:

Author: mandree
Date: Sat Apr  4 16:00:08 UTC 2020
New revision: 530686
URL: https://svnweb.freebsd.org/changeset/ports/530686

Log:
  net-mgmt/netdata: add GOPLUGIN option (default off)...

  ...to create a run-time dependency on net-mgmt/netdata-go.

  PR:		244304
  Submitted by:	Dries Michiels <driesm.michiels@gmail.com>
  Reviewed by:	daniel.engberg.lists@pyret.net
  Approved by:	maintainer timeout (mmohki@, 42 days)

Changes:
  head/net-mgmt/netdata/Makefile